-- Pulls back the Addon-Local Variables and store them locally.
local addonName, addonTable = ...;
local addon = _G[addonName];

local strupper = strupper;

-- This is stored on the addon so its publically available to all other addons.
addon.Core.Settings = {
	GetAccountValue = function(section, key, default)
		local Tables = addon.Core.Tables;
		local returnValue = Tables.GetValue(addonTable.accountSettings, section);

		if key then
			returnValue = Tables.GetValue(returnValue, key);
		end

		return returnValue or default;
	end,

	GetCharacterValue = function(section, key, default)
		local Tables = addon.Core.Tables;
		local returnValue = Tables.GetValue(addonTable.characterSettings, section);

		if key then
			returnValue = Tables.GetValue(returnValue, key);
		end

		return returnValue or default;
	end,

	GetRotationValue = function(key, default)
		local apiGeneral = addon.API.General;
		local Tables = addon.Core.Tables;
		local returnValue;

		if key then
			local specInfo = apiGeneral.GetSpecializationInfo();

			if not Tables.IsEmpty(specInfo) then
				local profile = Tables.GetValue(addonTable.characterSettings.RotationSettings, Tables.GetValue(specInfo, "Name"));

				returnValue = Tables.GetValue(profile, strupper(key));
			end
		end

		return returnValue or default or 2;
	end,

};