-- Pulls back the Addon-Local Variables and store them locally.
local addonName, addonTable = ...;
local addon = _G[addonName];

local moduleEvents = {
	enterCombat = function()
		local Profile = addonTable.accountSettings;
		local settingsNameplates = Profile.NameplateSettings;

		local max = max;

		if settingsNameplates.nameplateShowAll == 0 then
			addon.API.Blizzard.SetCVar("nameplateShowAll", 1);
			addon.API.Blizzard.SetCVar("nameplateMaxDistance", max(addonTable.nameplateDistance, 40));

			addon.API.Blizzard.SetCVar("nameplateShowFriends", 0);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyGuardians", 0);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyMinions", 0);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyNPCs", 0);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyPets", 0);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyTotems", 0);
		end

		-- If the addon needs to use nameplates, so enable the needed nameplates.
		addon.API.Blizzard.SetCVar("nameplateShowEnemies", 1);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyGuardians", 1);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyMinions", 1);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyMinus", 1);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyPets", 1);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyTotems", 1);
	end,

	leaveCombat = function()
		-- Reset the settings back to their previous setting, now that we are out of combat.
		local Profile = addonTable.accountSettings;
		local settingsNameplates = Profile.NameplateSettings;

		if settingsNameplates.nameplateShowAll == 0 then
			addon.API.Blizzard.SetCVar("nameplateShowAll", settingsNameplates.nameplateShowAll);
			addon.API.Blizzard.SetCVar("nameplateMaxDistance", settingsNameplates.nameplateMaxDistance);

			addon.API.Blizzard.SetCVar("nameplateShowFriends", settingsNameplates.nameplateShowFriends);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyGuardians", settingsNameplates.nameplateShowFriendlyGuardians);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyMinions", settingsNameplates.nameplateShowFriendlyMinions);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyNPCs", settingsNameplates.nameplateShowFriendlyNPCs);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyPets", settingsNameplates.nameplateShowFriendlyPets);
			addon.API.Blizzard.SetCVar("nameplateShowFriendlyTotems", settingsNameplates.nameplateShowFriendlyTotems);
		end

		-- Because the addon changes enemy nameplates regardless of Show Always we need to put them back to their saved setting.
		addon.API.Blizzard.SetCVar("nameplateShowEnemies", settingsNameplates.nameplateShowEnemies);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyGuardians", settingsNameplates.nameplateShowEnemyGuardians);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyMinions", settingsNameplates.nameplateShowEnemyMinions);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyMinus", settingsNameplates.nameplateShowEnemyMinus);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyPets", settingsNameplates.nameplateShowEnemyPets);
		addon.API.Blizzard.SetCVar("nameplateShowEnemyTotems", settingsNameplates.nameplateShowEnemyTotems);
	end,
};

-- Register this as a module of the addon.
addon.System.Callbacks.RegisterAddonCallbacks(moduleEvents);