-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Styles.Hekili.Data.Texts.LERH_DamageAll = {
		ID = {
			["id"] = "LERH_DamageAll",
			["regionType"] = "text",
			["parent"] = "LERH_Hekili",
		},
		Position = {
			["height"] = 12.0000896453857,
			["width"] = 10.9999504089355,
			["xOffset"] = -180,
			["yOffset"] = -100,
		},
		CustomLua = {
			["customText"] = "function()\n    local addon = LunaEclipse_Rotation;\n    \n    if addon and addon.DamagePredicted then\n        return string.format(\"Incoming Damage: %s%%\", addon.DamagePredicted);\n    end\n    \n    return \"\";\nend",
			["trigger"] = {
				["custom"] = "function()\n    local addon = LunaEclipse_Rotation;\n    local showSingleTarget = addon ~= nil and addon.Icons.ST ~= nil and addon.Icons.ST.Actions() ~= nil and addon.Icons.ST.Actions()[1] ~= nil and addon.Icons.ST.Actions()[1].ID ~= nil;\n    local showMultiTarget = addon ~= nil and addon.Icons.AOE ~= nil and addon.Icons.AOE.Actions() ~= nil and addon.Icons.AOE.Actions()[1] ~= nil and addon.Icons.AOE.Actions()[1].ID ~= nil;\n    \n    if showSingleTarget or showMultiTarget then\n        return true;\n    end\n    \n    return false;\nend",
			},
		},
	};
end