-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Styles.Ovale.Data.Icons.LERH_Interrupt = {
		ID = {
			["id"] = "LERH_Interrupt",
			["regionType"] = "icon",
			["parent"] = "LERH_Ovale",
		},
		Position = {
			["height"] = 50,
			["width"] = 50,
			["xOffset"] = 75,
			["yOffset"] = 25,
		},
		CustomLua = {
			["customText"] = "function()\n    local Action = aura_env.Action;\n    \n    \n    if Action and Action.Keybind then \n        return Action.Keybind;\n    end    \n    \n    return nil;\nend",
			["trigger"] = {
				["custom"] = "function(event, ActionList)\n    if ActionList and ActionList[1] then \n        aura_env.Action = ActionList[1];\n        \n        return true; \n    end\nend",
				["customDuration"] = "function ()\n    local Action = aura_env.Action;\n    \n    if Action and Action.Wait and Action.WaitEnd then\n        return Action.WaitTime, Action.WaitEnd;\n    end\n    \n    return 0, GetTime();\nend",
				["customIcon"] = "function()\n    local weakAura = WeakAuras.regions[aura_env.id].region;\n    local Action = aura_env.Action;\n    \n    \n    if Action and Action.Texture then\n        if Action.Text == \"wait\" then\n            weakAura:Color(255, 0, 0, 1);\n        elseif Action.Text == \"pool\" then\n            weakAura:Color(0, 0, 255, 1);\n        else\n            weakAura:Color(255, 255, 255, 1);\n        end\n        \n        return Action.Texture;\n    end    \n    \n    return nil;\nend",
				["customName"] = "function()\n    local Action = aura_env.Action;\n    \n    if Action and Action.Text then \n        return Action.Text;\n    end    \n    \n    return nil;\nend",
				["customStacks"] = "",
				["events"] = "LERH_INTERRUPT_UPDATE",
			},
			["untrigger"] = {
				["custom"] = "function(event, ActionList)\n    if not ActionList or not ActionList[1] then \n        aura_env.Action = nil;\n        \n        return true; \n    end\nend",
			},
		},
	};
end