-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Styles.Ovale.Data.Texts.LERH_Range = {
		ID = {
			["id"] = "LERH_Range",
			["regionType"] = "text",
			["parent"] = "LERH_Ovale",
		},
		Position = {
			["height"] = 12.0000896453857,
			["width"] = 10.9999504089355,
			["xOffset"] = 0,
			["yOffset"] = 70,
		},
		CustomLua = {
			["customText"] = "function()\n    local addon = LunaEclipse_Rotation;\n    \n    if addon and addon.MinDistance and addon.MaxDistance then\n        if addon.MinDistance == 0 then\n            return string.format(\"Range: Under %s\", addon.MaxDistance);                \n        elseif addon.MaxDistance == math.huge then\n            return string.format(\"Range: Over %s\", addon.MinDistance);\n        else\n            return string.format(\"Range: %s - %s\", addon.MinDistance, addon.MaxDistance); \n        end\n    end\n    \n    return \"\";\nend",
			["trigger"] = {
				["custom"] = "function()\n    local addon = LunaEclipse_Rotation;\n    local showSingleTarget = addon ~= nil and addon.Icons.ST ~= nil and addon.Icons.ST.Actions() ~= nil and addon.Icons.ST.Actions()[1] ~= nil and addon.Icons.ST.Actions()[1].ID ~= nil;\n    local showMultiTarget = addon ~= nil and addon.Icons.AOE ~= nil and addon.Icons.AOE.Actions() ~= nil and addon.Icons.AOE.Actions()[1] ~= nil and addon.Icons.AOE.Actions()[1].ID ~= nil;\n    \n    if showSingleTarget or showMultiTarget then\n        return true;\n    end\n    \n    return false;\nend",
			},
		},
	};
end