-- Pulls back the Addon-Local Variables and store them locally.
local _, addonTable = ...;
local addon = _G["LunaEclipse_Rotation"];

-- Plugin information variables.
local pluginName = "Weak Auras";

-- Check whether the plugin is supposed to be active and that the required Weak Auras is loaded.
if addon and addon.API.Blizzard.IsAddOnLoaded("WeakAuras") and addon.System.Plugins.IsActive(pluginName) then
	addonTable.WeakAuras.Templates.templateText = {
		["outline"] = "OUTLINE",
		["fontSize"] = 12,
		["displayText"] = "%c",
		["init_started"] = 1,
		["disjunctive"] = "all",
		["activeTriggerMode"] = -10,
		["customTextUpdate"] = "update",
		["color"] = {
			[1] = 1,
			[2] = 1,
			[3] = 1,
			[4] = 1,
		},
		["actions"] = {
			["start"] = {},
			["finish"] = {},
			["init"] = {},
		},
		["anchorPoint"] = "CENTER",
		["justify"] = "CENTER",
		["animation"] = {
			["start"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
			["main"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
			["finish"] = {
				["type"] = "none",
				["duration_type"] = "seconds",
			},
		},
		["trigger"] = {
			["type"] = "custom",
			["custom_type"] = "status",
			["event"] = "Health",
			["unit"] = "player",
			["custom_hide"] = "timed",
			["spellIds"] = {},
			["subeventSuffix"] = "_CAST_START",
			["check"] = "update",
			["subeventPrefix"] = "SPELL",
			["names"] = {},
			["debuffType"] = "HELPFUL",
		},
		["frameStrata"] = 5,
		["anchorFrameType"] = "SCREEN",
		["untrigger"] = {},
		["font"] = "Friz Quadrata TT",
		["numTriggers"] = 1,
		["selfPoint"] = "BOTTOM",
		["conditions"] = {},
		["load"] = {
			["ingroup"] = {
				["multi"] = {},
			},
			["talent"] = {
				["multi"] = {},
			},
			["class"] = {
				["multi"] = {},
			},
			["difficulty"] = {
				["multi"] = {},
			},
			["role"] = {
				["multi"] = {},
			},
			["faction"] = {
				["multi"] = {},
			},
			["pvptalent"] = {
				["multi"] = {},
			},
			["talent2"] = {
				["multi"] = {},
			},
			["race"] = {
				["multi"] = {},
			},
			["spec"] = {
				["multi"] = {},
			},
			["size"] = {
				["multi"] = {},
			},
		},
	};
end